Skip site navigation (1) Skip section navigation (2)

Re: [HACKERS] select * from ..;vacuum crashes

From: Tatsuo Ishii <t-ishii(at)sra(dot)co(dot)jp>
To: Bruce Momjian <maillist(at)candle(dot)pha(dot)pa(dot)us>
Cc: t-ishii(at)sra(dot)co(dot)jp, pgsql-hackers(at)postgreSQL(dot)org
Subject: Re: [HACKERS] select * from ..;vacuum crashes
Date: 1998-10-06 04:14:05
Message-ID: 199810060414.NAA04445@srapc451.sra.co.jp (view raw or flat)
Thread:
Lists: pgsql-hackers
>You must enable Assert to see the crash.

I saw the crash without assertion enabled? This is FreeBSD 2.2.6.

>The cause may be because you are doing a vacuum INSIDE a transaction.  I
>think that also explains the psql -e thing, because that does both
>commands in the same transaction.
>
>Perhaps we need to disable vacuum inside transactions.  Vadim?

FYI, it is reported that 6.3.2 does not have the crash.
--
Tatsuo Ishii
t-ishii(at)sra(dot)co(dot)jp

Responses

pgsql-hackers by date

Next:From: Bruce MomjianDate: 1998-10-06 04:33:24
Subject: Open 6.4 items
Previous:From: TaralDate: 1998-10-06 04:13:24
Subject: RE: [HACKERS] select * from ..;vacuum crashes

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group